CatalogPrice Lists
List price lists
GET
/v1/catalog/price-listsList price lists. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
productId?string
Identifier of the product.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/catalog/price-lists" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "name": "Example resource", "currency": "PEN", "isActive": false, "priority": 1, "scope": "example", "customerId": "7204558912004325301", "productId": "7204558912004325301", "productIds": [ "example" ], "categoryIds": [ "example" ], "tags": [ "example" ], "excludedProductIds": [ "example" ], "validFrom": "2026-08-01T15:30:00Z", "validTo": "2026-08-01T15:30:00Z", "items": [ { "id": "7204558912004325301", "variantId": "7204558912004325301", "unitPrice": 1, "compareAtPrice": 1, "breaks": [ { "minQuantity": 1, "unitPrice": 1 } ] } ], "rules": [ { "minQuantity": 1, "maxQuantity": 1, "discountType": "example", "value": 1 } ] }]